package xyz.stachel.bonzotimer;

import org.apache.logging.log4j.Logger;

import net.minecraftforge.client.ClientCommandHandler;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;
import xyz.stachel.bonzotimer.commands.Autotransfer;

@Mod(modid = "bonzo-timer", useMetadata=true)
public class BonzoTimer {
  private static BonzoTimer instance;
  private Logger logger;
  private final ChatHandler chatHandler;

  public BonzoTimer() {
    instance = this;
    this.chatHandler = new ChatHandler();
  }

  public static BonzoTimer getInstance() {
    return BonzoTimer.instance;
  }


  @Mod.EventHandler
  public void preInit(FMLPreInitializationEvent event) {
    this.logger = event.getModLog();
  }

  @Mod.EventHandler
  public void init(FMLInitializationEvent event) {
    MinecraftForge.EVENT_BUS.register(chatHandler);
    MinecraftForge.EVENT_BUS.register(new RenderGameOverlayHandler());
    ClientCommandHandler.instance.registerCommand(new Autotransfer());
  }

  public Logger getLogger() {
    return this.logger;
  }

  public ChatHandler getChatHandler() {
    return this.chatHandler;
  }
}
