package xyz.stachel.bonzotimer;

import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.FontRenderer;
import net.minecraft.client.gui.ScaledResolution;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import org.jetbrains.annotations.NotNull;

import java.awt.*;
import java.util.Objects;

public class RenderGameOverlayHandler {
    private final FontRenderer fontRenderer;

    public RenderGameOverlayHandler() {
        this.fontRenderer = Objects.requireNonNull(Minecraft.getMinecraft().fontRendererObj, "FontRenderer must not be null!");
    }

    @SubscribeEvent
    public void onRenderGameOverlay(RenderGameOverlayEvent.Post event) {
        if (event.type != RenderGameOverlayEvent.ElementType.TEXT) return;
        Timer.getInstance().ifPresent(timer -> {
            String s = String.format("%1.1f s", (float)timer.remaining() / 20);
            final ScaledResolution res = new ScaledResolution(Minecraft.getMinecraft());
            final int h = res.getScaledHeight();
            final int w = res.getScaledWidth();
            final int x = w/2 - fontRenderer.getStringWidth(s)/2;
            final int y = h/4;
            fontRenderer.drawStringWithShadow(s, x, y, 0xFF0000);
        });
    }
}
