package xyz.stachel.bonzotimer.commands;

import java.util.ArrayList;
import java.util.List;

import com.google.common.collect.Lists;

import net.minecraft.command.CommandException;
import net.minecraft.command.ICommand;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;
import net.minecraft.util.BlockPos;
import xyz.stachel.bonzotimer.BonzoTimer;

public class Autotransfer implements ICommand {

  @Override
  public String getCommandUsage(ICommandSender sender) {
    return "/autotransfer <on|off>";
  }

  @Override
  public String getCommandName() {
    return "autotransfer";
  }

  @Override
  public boolean isUsernameIndex(String[] args, int index) {
	  return false;
  }

  @Override
  public List<String> addTabCompletionOptions(ICommandSender sender, String[] args, BlockPos pos) {
    if (args.length == 1) return Lists.newArrayList("on", "off");
    else return null;
  }

  @Override
  public boolean canCommandSenderUseCommand(ICommandSender sender) {
	  return true;
  }

  @Override
  public void processCommand(ICommandSender sender, String[] args) throws CommandException {
    if (args.length == 0) throw new WrongUsageException("[Missing option] options: on, off");
    else if (args.length == 1) switch (args[0]) {
      case "on":
        BonzoTimer.getInstance().getChatHandler().setTransferEnabled(true);
        break;
      case "off":
        BonzoTimer.getInstance().getChatHandler().setTransferEnabled(false);
        break;
      default:
        throw new WrongUsageException("[Invalid option] valid options: on, off");
    }
    else throw new WrongUsageException("[Argument count] The command only takes one argument.");
  }

  @Override
  public int compareTo(ICommand o) {
	  return 0;
  }

  @Override
  public List<String> getCommandAliases() {
	  return new ArrayList<>();
  }

}
